/**
 * Clase Cliente
 * @author Sergio Blanco Cuaresma
 * @author Jonathan Hernndez Velasco
 */
 
 public class Cliente {
	 private String DNI;
	 private String Nombre;
	 private String Apellidos;
   private String Direccion;
   private int Telefono;
	 
	 /**
	 * Constructor
   * @param DNI dni tipo "47765123-W"
   * @param Nombre Nombre del cliente
   * @param Apellidos Apellidos del cliente
   * @param Direccion Direccion del cliente
   * @param Telefono Telefono del cliente
	 */
	 Cliente(String DNI, String Nombre, String Apellidos, String Direccion, int Telefono){
		 this.DNI = DNI;
		 this.Nombre = Nombre;
		 this.Apellidos = Apellidos;
     this.Direccion = Direccion;
     this.Telefono = Telefono;
	 }
	 
	 /**
	  * Consulta DNI
    * @return Devuelve el dni del cliente
		*/
	 public String getDNI (){
		 return this.DNI;
	 }
	 
	 /**
	  * Consulta Nombre
    * @return Devuelve el nombre del cliente
		*/
	 public String getNombre(){
		 return this.Nombre;
	 }
	 
	 /**
	  * Consultar Appelidos
    * @return Devuelve los apellidos del cliente
		*/
	 public String getApellidos(){
		 return this.Apellidos;
	 }

   /**
	  * Consulta Direccion
    * @return Devuelve la direccion del cliente
		*/
   public String getDireccion(){
     return this.Direccion;
   }

   /**
	  * Consulta Telefono
    * @return Devuelve el telefono del cliente
		*/
   public int getTelefono(){
     return this.Telefono;
   }
   
	 /**
	  * Establecer DNI
    * @param DNI dni tipo "47765123-W"
		*/
	 public void setDNI (String DNI){
		 this.DNI = DNI;
	 }
	 
	 /**
	  * Establecer Nombre
    * @param Nombre Nombre del cliente
		*/
	 public void setNombre (String Nombre){
		 this.Nombre = Nombre;
	 }
	 
	 /**
	  * Establecer Apellidos
    * @param Apellidos Apellidos del cliente
		*/
	 public void setApellidos (String Apellidos){
		 this.Apellidos = Apellidos;
	 }
  
    /**
	  * Establecer Direccion
    * @param Direccion Direccion tipo "Calle Balmes 23 2ndo 1era"
		*/
   public void setDireccion (String Direccion){
     this.Direccion=Direccion;
   }
   
   /**
	  * Establecer Telefono
    * @param Telefono telefono del cliente: p.ej. 977234567 o 938991234
	*/
   public void setTelefono (int Telefono){
     this.Telefono=Telefono;
   }
    
}
