/**
 * Clase CuentaVivienda que implementa la Clase Cuenta
 * @author Sergio Blanco Cuaresma
 * @author Jonathan Hernndez Velasco
 */

public class CuentaVivienda extends Cuenta {
  
/**
 * Constructor
 * @param Titular Titular de la Cuenta 
 * @param Saldo Saldo que tiene la Cuenta
*/  
  CuentaVivienda(Cliente Titular, int Saldo){
    super(Titular, Saldo);
		this.Interes = 0.2;
  }
  
  /**
  * Extrae de la cuenta una cantidad de dinero.
  * @param cantidad Cantidad a extraer de la cuenta
  * @throws OpNoPermitidaException Cuando se intenta hacer una operacin que no esta soportada por el tipo de cuenta
  */
	public void retirar (int cantidad) throws OpNoPermitidaException {
    throw new OpNoPermitidaException();
  }
  
  /**
 * Hace la Revisin de la cuenta (Reemplazamos). Al incremento dado por el interes NO se le resta la comisin
*/	 
	public void revision () {
	  this.Saldo = Saldo -  (int)(Saldo*Interes);
	}

  
}
