/**
 * Clase CuentaCorriente que implementa la Clase Cuenta
 * @author Sergio Blanco Cuaresma
 * @author Jonathan Hernndez Velasco
 */

public class CuentaCorriente extends Cuenta {
  
/**
 * Constructor
 * @param Titular Titular de la Cuenta 
 * @param Saldo Saldo que tiene la Cuenta
*/  
  CuentaCorriente(Cliente Titular, int Saldo){
    super(Titular, Saldo);
		this.Interes = 0.1;
  }
  
  /**
  * Extrae de la cuenta una cantidad de dinero.
  * @param cantidad Cantidad a extraer de la cuenta
  * @throws SinSaldoException Excepcin que salta cuando se intenta sacar ms cantidad de la que hay
  */  
	public void retirar (int cantidad) throws SinSaldoException {
    if (Saldo - cantidad >= 0) {
      this.Saldo = Saldo - cantidad;
    } else {
      throw new SinSaldoException();
    }
  }
  
}
